Help with patches -1 reply

Please wait...

Guest

I didn't make it!

0 XP

 
#1 13 years ago

I'm sorry if this was covered on a different forum but I just installed the Athology seris and wanna play online but it says I need the latest Battlefield 1942 patch to enable PB. so what's the name of the patch i need to get so I can play online? -Pi][ar-




SciComHam

Now with more red

50 XP

28th November 2004

0 Uploads

935 Posts

0 Threads

#2 13 years ago

You need the full 1.6 patch, then the 1.61b patch.